package com.ruoyi.business.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.business.mapper.ResourceLibraryMapper;
import com.ruoyi.business.domain.ResourceLibrary;
import com.ruoyi.business.service.IResourceLibraryService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

/**
 * 资源库管理Service业务层处理
 * 
 * @author LiuChengRan
 * @date 2024-06-17
 */
@Service
public class ResourceLibraryServiceImpl extends ServiceImpl<ResourceLibraryMapper, ResourceLibrary> implements IResourceLibraryService
{


    /**
     * 查询资源库管理列表
     * 
     * @param resourceLibrary 资源库管理
     * @return 资源库管理
     */
    @Override
    public List<ResourceLibrary> list(ResourceLibrary resourceLibrary)
    {
        return baseMapper.selectResourceLibraryList(resourceLibrary);
    }
}
